Package org.apache.felix.http.base.internal.runtime

## Class WhiteboardServiceInfo<T>

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.AbstractInfo<T>
  - - org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo<T>

All Implemented Interfaces:
  `Comparable<AbstractInfo<T>>`

Direct Known Subclasses:
  `FilterInfo`, `ListenerInfo`, `PreprocessorInfo`, `ResourceInfo`, `ServletInfo`

    public abstract class WhiteboardServiceInfo<T>
    extends AbstractInfo<T>

Base class for all info objects. Provides support for ranking and ordering of services.

### Constructor Summary

Constructors
`WhiteboardServiceInfo​(int ranking)`
`WhiteboardServiceInfo​(int ranking, long serviceId)`
`WhiteboardServiceInfo​(org.osgi.framework.ServiceReference<T> ref)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContextSelection()`
`org.osgi.framework.Filter` `getContextSelectionFilter()`
`boolean` `isSame​(AbstractInfo<T> other)` Compare two info objects
`boolean` `isValid()`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WhiteboardServiceInfo

    public WhiteboardServiceInfo​(org.osgi.framework.ServiceReference<T> ref)

#### WhiteboardServiceInfo

    public WhiteboardServiceInfo​(int ranking)

#### WhiteboardServiceInfo

    public WhiteboardServiceInfo​(int ranking,
                                 long serviceId)

### Method Detail

#### isValid

    public boolean isValid()

Overrides:
  `isValid` in class `AbstractInfo<T>`

#### getContextSelection

    public String getContextSelection()

#### getContextSelectionFilter

    public org.osgi.framework.Filter getContextSelectionFilter()

#### isSame

    public boolean isSame​(AbstractInfo<T> other)

Description copied from class: `AbstractInfo`
Compare two info objects

Overrides:
  `isSame` in class `AbstractInfo<T>`